import { label } from '../../configuration/constants'

export default {
  // 组件名称
  name: label,

  // 前面板html模板
  viewTemplate() {
    return `
      <label data-gjs-type="${label}" class="${label}">Label</label>
    `
  },

  // 编辑器右侧块管理器中显示属性配置
  blockOptions() {
    return {
      category: "表单元素",
      label: `
        <svg class="gjs-block-svg" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
          <text>LABEL</text>
        </svg>
        <div class="gjs-block-label">LABEL</div>
      `
    };
  },
  // 组件属性
  componentOptions() {
    return {
      name: label,
      resizable: true,
      draggable: true,
      highlightable: false,
    }
  },
}
